Package ru.bitel.bgbilling.modules.email.server.bean

# Class Account

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.email.server.bean.Account

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Account extends Id

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STATUS_CLOSE`
  `static final int`
  `STATUS_LOCK`
  `static final int`
  `STATUS_OPEN`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Account()`
  `Account(int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAccount()`
  `List<AttributeValue>`
  `getAttributes()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDate1()`
  `Date`
  `getDate2()`
  `int`
  `getDomainId()`
  `List<Forward>`
  `getForwardList()`
  `String`
  `getPassword()`
  `long`
  `getQuota()`
  `int`
  `getStatus()`
  `String`
  `getStringStatus()`
  `boolean`
  `isNeedClose()`
  `boolean`
  `isNeedOpen()`
  `Account`
  `setAccount(String account)`
  `void`
  `setAttributes(List<AttributeValue> attributes)`
  `Account`
  `setComment(String comment)`
  `Account`
  `setContractId(int contractId)`
  `Account`
  `setDate1(Date date1)`
  `Account`
  `setDate2(Date date2)`
  `Account`
  `setDomainId(int domainId)`
  `Account`
  `setForwardList(List<Forward> forwardList)`
  `void`
  `setNeedClose(boolean needClose)`
  `void`
  `setNeedOpen(boolean needOpen)`
  `void`
  `setNeedOpenAndNeedClose(Date thisDate)`
  `Account`
  `setPassword(String password)`
  `Account`
  `setQuota(long quota)`
  `Account`
  `setStatus(int status)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_OPEN

    public static final int STATUS_OPEN
    See Also:
      - Constant Field Values

  - ### STATUS_CLOSE

    public static final int STATUS_CLOSE
    See Also:
      - Constant Field Values

  - ### STATUS_LOCK

    public static final int STATUS_LOCK
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Account

    public Account()

  - ### Account

    public Account(int id)

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public Account setContractId(int contractId)

  - ### setStatus

    public Account setStatus(int status)

  - ### setQuota

    public Account setQuota(long quota)

  - ### setDomainId

    public Account setDomainId(int domainId)

  - ### setAccount

    public Account setAccount(String account)

  - ### setComment

    public Account setComment(String comment)

  - ### setForwardList

    public Account setForwardList(List<Forward> forwardList)

  - ### setPassword

    public Account setPassword(String password)

  - ### getAccount

    public String getAccount()

  - ### getDomainId

    public int getDomainId()

  - ### getQuota

    public long getQuota()

  - ### getStatus

    public int getStatus()

  - ### getComment

    public String getComment()

  - ### getForwardList

    public List<Forward> getForwardList()

  - ### getPassword

    public String getPassword()

  - ### getStringStatus

    public String getStringStatus()

  - ### getAttributes

    public List<AttributeValue> getAttributes()

  - ### setAttributes

    public void setAttributes(List<AttributeValue> attributes)

  - ### getDate1

    public Date getDate1()

  - ### setDate1

    public Account setDate1(Date date1)

  - ### getDate2

    public Date getDate2()

  - ### setDate2

    public Account setDate2(Date date2)

  - ### isNeedOpen

    public boolean isNeedOpen()

  - ### setNeedOpen

    public void setNeedOpen(boolean needOpen)

  - ### isNeedClose

    public boolean isNeedClose()

  - ### setNeedClose

    public void setNeedClose(boolean needClose)

  - ### setNeedOpenAndNeedClose

    public void setNeedOpenAndNeedClose(Date thisDate)